var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { useQuery, useMutation, useQueryClient } from "react-query";
export function initialize(axios, config) {
    const requests = makeRequests(axios, config === null || config === void 0 ? void 0 : config.axios);
    const queryIds = makeQueryIds();
    return {
        requests,
        queryIds,
        queries: makeQueries(requests, queryIds),
        mutations: makeMutations(requests, config === null || config === void 0 ? void 0 : config.mutations)
    };
}
function useRapiniMutation(mutationFn, config, options) {
    const _a = options !== null && options !== void 0 ? options : {}, { onSuccess, onError, onSettled } = _a, rest = __rest(_a, ["onSuccess", "onError", "onSettled"]);
    const queryClient = useQueryClient();
    const conf = config === null || config === void 0 ? void 0 : config(queryClient);
    const mutationOptions = Object.assign({ onSuccess: (data, variables, context) => {
            var _a;
            (_a = conf === null || conf === void 0 ? void 0 : conf.onSuccess) === null || _a === void 0 ? void 0 : _a.call(conf, data, variables, context);
            onSuccess === null || onSuccess === void 0 ? void 0 : onSuccess(data, variables, context);
        }, onError: (error, variables, context) => {
            var _a;
            (_a = conf === null || conf === void 0 ? void 0 : conf.onError) === null || _a === void 0 ? void 0 : _a.call(conf, error, variables, context);
            onError === null || onError === void 0 ? void 0 : onError(error, variables, context);
        }, onSettled: (data, error, variables, context) => {
            var _a;
            (_a = conf === null || conf === void 0 ? void 0 : conf.onSettled) === null || _a === void 0 ? void 0 : _a.call(conf, data, error, variables, context);
            onSettled === null || onSettled === void 0 ? void 0 : onSettled(data, error, variables, context);
        } }, rest);
    return useMutation(mutationFn, mutationOptions);
}
function nullIfUndefined(value) {
    return typeof value === "undefined" ? null : value;
}
function makeQueryIds() {
    return {
        statsResourceGet: () => ["statsResourceGet"],
        assessmentAnswerResourceList: (q) => ["assessmentAnswerResourceList", q],
        assessmentResourceIsComplete: (assessment_id) => ["assessmentResourceIsComplete", assessment_id],
        assessmentQuestionResourceList: (assessment_id) => ["assessmentQuestionResourceList", assessment_id],
        assessmentResourceList: (subject_id) => ["assessmentResourceList", subject_id],
        assessmentResourceGet: (id) => ["assessmentResourceGet", id],
        classroomResourceGetByStudentLevel: () => ["classroomResourceGetByStudentLevel"],
        classroomResourceGetByStudentSubs: () => ["classroomResourceGetByStudentSubs"],
        classroomResourceGetTeacherId: () => ["classroomResourceGetTeacherId"],
        classroomResourceGet: (id) => ["classroomResourceGet", id],
        documentResourceGetByLesson: (id) => ["documentResourceGetByLesson", id],
        documentResourceGet: (id) => ["documentResourceGet", id],
        exerciseAnswerResourceList: (q) => ["exerciseAnswerResourceList", q],
        exerciseResourceIsComplete: (exercise_id) => ["exerciseResourceIsComplete", exercise_id],
        exerciseResourceList: (lesson_id) => ["exerciseResourceList", lesson_id],
        exerciseQuestionResourceList: (exercise_id) => ["exerciseQuestionResourceList", exercise_id],
        exerciseResourceGet: (id) => ["exerciseResourceGet", id],
        filesResourceList: () => ["filesResourceList"],
        filesResourceGet: (id) => ["filesResourceGet", id],
        assessmentAnswerResponseGetResponseByAnswer: (assessment_answer) => ["assessmentAnswerResponseGetResponseByAnswer", assessment_answer],
        assessmentGradingResourceGetByAssessment: (assessment_id) => ["assessmentGradingResourceGetByAssessment", assessment_id],
        assessmentGradingResourceGet: (id) => ["assessmentGradingResourceGet", id],
        exerciseGradingResourceGetByExercise: (exercise_id) => ["exerciseGradingResourceGetByExercise", exercise_id],
        exerciseGradingResourceGet: (id) => ["exerciseGradingResourceGet", id],
        lessonsResourceGetLessonsByTopic: (topic_id) => ["lessonsResourceGetLessonsByTopic", topic_id],
        lessonsResourceGet: (id) => ["lessonsResourceGet", id],
        mediaResourceGetByPlaylist: (playlist_id) => ["mediaResourceGetByPlaylist", playlist_id],
        mediaResourceGet: (id) => ["mediaResourceGet", id],
        notesResourceGetNotesByLesson: (lesson_id) => ["notesResourceGetNotesByLesson", lesson_id],
        notesResourceGet: (id) => ["notesResourceGet", id],
        planGroupResourceAll: () => ["planGroupResourceAll"],
        planGroupResourceGetActive: (classroom) => ["planGroupResourceGetActive", classroom],
        planGroupResourceGet: (id) => ["planGroupResourceGet", id],
        playlistResourceGetPlaylistsAudioByLesson: (lesson_id) => ["playlistResourceGetPlaylistsAudioByLesson", lesson_id],
        playlistResourceGetPlaylistsVideoByLesson: (lesson_id) => ["playlistResourceGetPlaylistsVideoByLesson", lesson_id],
        playlistResourceGetPlaylistsByLesson: (lesson_id) => ["playlistResourceGetPlaylistsByLesson", lesson_id],
        playlistResourceGet: (id) => ["playlistResourceGet", id],
        statsResourceGetStats: () => ["statsResourceGetStats"],
        subjectsResourceListByClassroom: (classroom_id) => ["subjectsResourceListByClassroom", classroom_id],
        subjectsResourceGetByStudentLevel: () => ["subjectsResourceGetByStudentLevel"],
        subjectsResourceGet: (id) => ["subjectsResourceGet", id],
        subjectsResourceGetByTeacher: () => ["subjectsResourceGetByTeacher"],
        subscriptionResourceGetSubByClassroom: (id) => ["subscriptionResourceGetSubByClassroom", id],
        subscriptionResourceGetByPlanGroup: (id) => ["subscriptionResourceGetByPlanGroup", id],
        subscriptionResourceGet: (id) => ["subscriptionResourceGet", id],
        subscriptionTransactionResourceAll: () => ["subscriptionTransactionResourceAll"],
        taskResourceListAll: () => ["taskResourceListAll"],
        topicsResourceGetTopicsBySubject: (subject_id) => ["topicsResourceGetTopicsBySubject", subject_id],
        topicsResourceGet: (id) => ["topicsResourceGet", id],
        userResourceGetUsers: () => ["userResourceGetUsers"],
        userResourceGetAdmin: () => ["userResourceGetAdmin"],
        userResourceCheckUserRole: () => ["userResourceCheckUserRole"],
        userResourceGetStudent: () => ["userResourceGetStudent"],
        userResourceGetAllStudents: () => ["userResourceGetAllStudents"],
        userResourceGetTeacher: () => ["userResourceGetTeacher"],
        userResourceGetAllTeachers: () => ["userResourceGetAllTeachers"],
        utilsGetCategory: () => ["utilsGetCategory"],
        utilsGetGrades: () => ["utilsGetGrades"],
        utilsGetPlan: () => ["utilsGetPlan"],
        utilsGetPlaylist: () => ["utilsGetPlaylist"],
        utilsGetRecurrenceUnit: () => ["utilsGetRecurrenceUnit"],
        utilsGetSubjects: () => ["utilsGetSubjects"]
    };
}
function makeRequests(axios, config) {
    return {
        statsResourceGet: () => axios.request({
            method: "get",
            url: `/v1/api/admin/stats`
        }).then(res => res.data),
        assessmentResourceDelete: (payload) => axios.request({
            method: "delete",
            url: `/v1/api/assessments`,
            data: payload
        }).then(res => res.data),
        assessmentResourceCreate: (payload) => axios.request({
            method: "post",
            url: `/v1/api/assessments`,
            data: payload
        }).then(res => res.data),
        assessmentAnswerResourceCreate: (payload) => axios.request({
            method: "post",
            url: `/v1/api/assessments/a`,
            data: payload
        }).then(res => res.data),
        assessmentAnswerResourceDelete: (id) => axios.request({
            method: "delete",
            url: `/v1/api/assessments/a/${id}`
        }).then(res => res.data),
        assessmentAnswerResourceUpdate: (payload, id) => axios.request({
            method: "put",
            url: `/v1/api/assessments/a/${id}`,
            data: payload
        }).then(res => res.data),
        assessmentAnswerResourceList: (q) => axios.request({
            method: "get",
            url: `/v1/api/assessments/a/${q}`
        }).then(res => res.data),
        assessmentResourceComplete: (payload) => axios.request({
            method: "post",
            url: `/v1/api/assessments/complete`,
            data: payload
        }).then(res => res.data),
        assessmentResourceIsComplete: (assessment_id) => axios.request({
            method: "get",
            url: `/v1/api/assessments/is_complete/${assessment_id}`
        }).then(res => res.data),
        assessmentQuestionResourceCreate: (payload) => axios.request({
            method: "post",
            url: `/v1/api/assessments/q`,
            data: payload
        }).then(res => res.data),
        assessmentQuestionResourceList: (assessment_id) => axios.request({
            method: "get",
            url: `/v1/api/assessments/q/${assessment_id}`
        }).then(res => res.data),
        assessmentQuestionResourceDelete: (id) => axios.request({
            method: "delete",
            url: `/v1/api/assessments/q/${id}`
        }).then(res => res.data),
        assessmentQuestionResourceUpdate: (payload, id) => axios.request({
            method: "put",
            url: `/v1/api/assessments/q/${id}`,
            data: payload
        }).then(res => res.data),
        assessmentResourceList: (subject_id) => axios.request({
            method: "get",
            url: `/v1/api/assessments/s/${subject_id}`
        }).then(res => res.data),
        assessmentResourceStart: (payload) => axios.request({
            method: "post",
            url: `/v1/api/assessments/start`,
            data: payload
        }).then(res => res.data),
        assessmentResourceGet: (id) => axios.request({
            method: "get",
            url: `/v1/api/assessments/${id}`
        }).then(res => res.data),
        assessmentResourceUpdate: (payload, id) => axios.request({
            method: "put",
            url: `/v1/api/assessments/${id}`,
            data: payload
        }).then(res => res.data),
        authenticationResourceLogin: (payload) => axios.request({
            method: "post",
            url: `/v1/api/auth/login`,
            data: payload
        }).then(res => res.data),
        authenticationResourceRegister: (payload) => axios.request({
            method: "post",
            url: `/v1/api/auth/register`,
            data: payload
        }).then(res => res.data),
        classroomResourceDelete: (payload) => axios.request({
            method: "delete",
            url: `/v1/api/classrooms`,
            data: payload
        }).then(res => res.data),
        classroomResourceCreate: (payload) => axios.request({
            method: "post",
            url: `/v1/api/classrooms`,
            data: payload
        }).then(res => res.data),
        classroomResourceGetByStudentLevel: () => axios.request({
            method: "get",
            url: `/v1/api/classrooms/s`
        }).then(res => res.data),
        classroomResourceGetByStudentSubs: () => axios.request({
            method: "get",
            url: `/v1/api/classrooms/subs`
        }).then(res => res.data),
        classroomResourceGetTeacherId: () => axios.request({
            method: "get",
            url: `/v1/api/classrooms/t`
        }).then(res => res.data),
        classroomResourceGet: (id) => axios.request({
            method: "get",
            url: `/v1/api/classrooms/${id}`
        }).then(res => res.data),
        classroomResourceUpdate: (payload, id) => axios.request({
            method: "put",
            url: `/v1/api/classrooms/${id}`,
            data: payload
        }).then(res => res.data),
        documentResourceCreate: (payload) => axios.request({
            method: "post",
            url: `/v1/api/document`,
            data: payload
        }).then(res => res.data),
        documentResourceGetByLesson: (id) => axios.request({
            method: "get",
            url: `/v1/api/document/l/${id}`
        }).then(res => res.data),
        documentResourceGet: (id) => axios.request({
            method: "get",
            url: `/v1/api/document/${id}`
        }).then(res => res.data),
        exerciseResourceDelete: (payload) => axios.request({
            method: "delete",
            url: `/v1/api/exercises`,
            data: payload
        }).then(res => res.data),
        exerciseResourceCreate: (payload) => axios.request({
            method: "post",
            url: `/v1/api/exercises`,
            data: payload
        }).then(res => res.data),
        exerciseAnswerResourceCreate: (payload) => axios.request({
            method: "post",
            url: `/v1/api/exercises/a`,
            data: payload
        }).then(res => res.data),
        exerciseAnswerResourceDelete: (id) => axios.request({
            method: "delete",
            url: `/v1/api/exercises/a/${id}`
        }).then(res => res.data),
        exerciseAnswerResourceUpdate: (payload, id) => axios.request({
            method: "put",
            url: `/v1/api/exercises/a/${id}`,
            data: payload
        }).then(res => res.data),
        exerciseAnswerResourceList: (q) => axios.request({
            method: "get",
            url: `/v1/api/exercises/a/${q}`
        }).then(res => res.data),
        exerciseResourceComplete: (payload) => axios.request({
            method: "post",
            url: `/v1/api/exercises/complete`,
            data: payload
        }).then(res => res.data),
        exerciseResourceIsComplete: (exercise_id) => axios.request({
            method: "get",
            url: `/v1/api/exercises/is_complete/${exercise_id}`
        }).then(res => res.data),
        exerciseResourceList: (lesson_id) => axios.request({
            method: "get",
            url: `/v1/api/exercises/l/${lesson_id}`
        }).then(res => res.data),
        exerciseQuestionResourceCreate: (payload) => axios.request({
            method: "post",
            url: `/v1/api/exercises/q`,
            data: payload
        }).then(res => res.data),
        exerciseQuestionResourceList: (exercise_id) => axios.request({
            method: "get",
            url: `/v1/api/exercises/q/${exercise_id}`
        }).then(res => res.data),
        exerciseQuestionResourceDelete: (id) => axios.request({
            method: "delete",
            url: `/v1/api/exercises/q/${id}`
        }).then(res => res.data),
        exerciseQuestionResourceUpdate: (payload, id) => axios.request({
            method: "put",
            url: `/v1/api/exercises/q/${id}`,
            data: payload
        }).then(res => res.data),
        exerciseResourceStart: (payload) => axios.request({
            method: "post",
            url: `/v1/api/exercises/start`,
            data: payload
        }).then(res => res.data),
        exerciseResourceGet: (id) => axios.request({
            method: "get",
            url: `/v1/api/exercises/${id}`
        }).then(res => res.data),
        exerciseResourceUpdate: (payload, id) => axios.request({
            method: "put",
            url: `/v1/api/exercises/${id}`,
            data: payload
        }).then(res => res.data),
        filesResourceList: () => axios.request({
            method: "get",
            url: `/v1/api/files`
        }).then(res => res.data),
        filesResourceCreate: (payload) => axios.request({
            method: "post",
            url: `/v1/api/files`,
            data: payload
        }).then(res => res.data),
        filesResourceComplete: (id) => axios.request({
            method: "post",
            url: `/v1/api/files/complete/${id}`
        }).then(res => res.data),
        filesResourceGet: (id) => axios.request({
            method: "get",
            url: `/v1/api/files/${id}`
        }).then(res => res.data),
        assessmentAnswerResponseCreate: (payload) => axios.request({
            method: "post",
            url: `/v1/api/g/answer/a`,
            data: payload
        }).then(res => res.data),
        assessmentAnswerResponseCreateLong: (payload) => axios.request({
            method: "post",
            url: `/v1/api/g/answer/a/l`,
            data: payload
        }).then(res => res.data),
        assessmentAnswerResponseGetResponseByAnswer: (assessment_answer) => axios.request({
            method: "get",
            url: `/v1/api/g/answer/a/${assessment_answer}`
        }).then(res => res.data),
        exerciseAnswerResponseCreate: (payload) => axios.request({
            method: "post",
            url: `/v1/api/g/answer/e`,
            data: payload
        }).then(res => res.data),
        assessmentGradingResourceCreate: (payload) => axios.request({
            method: "post",
            url: `/v1/api/grading/a`,
            data: payload
        }).then(res => res.data),
        assessmentGradingResourceGetByAssessment: (assessment_id) => axios.request({
            method: "get",
            url: `/v1/api/grading/a/a/${assessment_id}`
        }).then(res => res.data),
        assessmentGradingResourceCompleteMarking: (report_id) => axios.request({
            method: "post",
            url: `/v1/api/grading/a/complete/marking/${report_id}`
        }).then(res => res.data),
        assessmentGradingResourceMark: (payload) => axios.request({
            method: "post",
            url: `/v1/api/grading/a/mark`,
            data: payload
        }).then(res => res.data),
        assessmentGradingResourceMarkLong: (payload) => axios.request({
            method: "post",
            url: `/v1/api/grading/a/mark/l`,
            data: payload
        }).then(res => res.data),
        assessmentGradingResourceGet: (id) => axios.request({
            method: "get",
            url: `/v1/api/grading/a/${id}`
        }).then(res => res.data),
        exerciseGradingResourceCreate: (payload) => axios.request({
            method: "post",
            url: `/v1/api/grading/e`,
            data: payload
        }).then(res => res.data),
        exerciseGradingResourceGetByExercise: (exercise_id) => axios.request({
            method: "get",
            url: `/v1/api/grading/e/e/${exercise_id}`
        }).then(res => res.data),
        exerciseGradingResourceMark: (payload) => axios.request({
            method: "post",
            url: `/v1/api/grading/e/mark`,
            data: payload
        }).then(res => res.data),
        exerciseGradingResourceGet: (id) => axios.request({
            method: "get",
            url: `/v1/api/grading/e/${id}`
        }).then(res => res.data),
        lessonsResourceDelete: (payload) => axios.request({
            method: "delete",
            url: `/v1/api/lessons`,
            data: payload
        }).then(res => res.data),
        lessonsResourceCreate: (payload) => axios.request({
            method: "post",
            url: `/v1/api/lessons`,
            data: payload
        }).then(res => res.data),
        lessonsResourceGetLessonsByTopic: (topic_id) => axios.request({
            method: "get",
            url: `/v1/api/lessons/t/${topic_id}`
        }).then(res => res.data),
        lessonsResourceGet: (id) => axios.request({
            method: "get",
            url: `/v1/api/lessons/${id}`
        }).then(res => res.data),
        lessonsResourceUpdate: (payload, id) => axios.request({
            method: "put",
            url: `/v1/api/lessons/${id}`,
            data: payload
        }).then(res => res.data),
        mediaResourceDelete: (payload) => axios.request({
            method: "delete",
            url: `/v1/api/media`,
            data: payload
        }).then(res => res.data),
        mediaResourceCreate: (payload) => axios.request({
            method: "post",
            url: `/v1/api/media`,
            data: payload
        }).then(res => res.data),
        mediaResourceGetByPlaylist: (playlist_id) => axios.request({
            method: "get",
            url: `/v1/api/media/p/${playlist_id}`
        }).then(res => res.data),
        mediaResourceGet: (id) => axios.request({
            method: "get",
            url: `/v1/api/media/${id}`
        }).then(res => res.data),
        mediaResourceUpdate: (payload, id) => axios.request({
            method: "put",
            url: `/v1/api/media/${id}`,
            data: payload
        }).then(res => res.data),
        notesResourceDelete: (payload) => axios.request({
            method: "delete",
            url: `/v1/api/notes`,
            data: payload
        }).then(res => res.data),
        notesResourceCreate: (payload) => axios.request({
            method: "post",
            url: `/v1/api/notes`,
            data: payload
        }).then(res => res.data),
        notesResourceGetNotesByLesson: (lesson_id) => axios.request({
            method: "get",
            url: `/v1/api/notes/n/${lesson_id}`
        }).then(res => res.data),
        notesResourceGet: (id) => axios.request({
            method: "get",
            url: `/v1/api/notes/${id}`
        }).then(res => res.data),
        notesResourceUpdate: (payload, id) => axios.request({
            method: "put",
            url: `/v1/api/notes/${id}`,
            data: payload
        }).then(res => res.data),
        webhookResourcePost: (payload) => axios.request({
            method: "post",
            url: `/v1/api/paystack-webhook`,
            data: payload
        }).then(res => res.data),
        planGroupResourceAll: () => axios.request({
            method: "get",
            url: `/v1/api/plan_group`
        }).then(res => res.data),
        planGroupResourceCreate: (payload) => axios.request({
            method: "post",
            url: `/v1/api/plan_group`,
            data: payload
        }).then(res => res.data),
        planGroupResourceGetActive: (classroom) => axios.request({
            method: "get",
            url: `/v1/api/plan_group/active/${classroom}`
        }).then(res => res.data),
        planGroupResourceGet: (id) => axios.request({
            method: "get",
            url: `/v1/api/plan_group/${id}`
        }).then(res => res.data),
        playlistResourceDelete: (payload) => axios.request({
            method: "delete",
            url: `/v1/api/playlist`,
            data: payload
        }).then(res => res.data),
        playlistResourceCreate: (payload) => axios.request({
            method: "post",
            url: `/v1/api/playlist`,
            data: payload
        }).then(res => res.data),
        playlistResourceGetPlaylistsAudioByLesson: (lesson_id) => axios.request({
            method: "get",
            url: `/v1/api/playlist/l/a/${lesson_id}`
        }).then(res => res.data),
        playlistResourceGetPlaylistsVideoByLesson: (lesson_id) => axios.request({
            method: "get",
            url: `/v1/api/playlist/l/v/${lesson_id}`
        }).then(res => res.data),
        playlistResourceGetPlaylistsByLesson: (lesson_id) => axios.request({
            method: "get",
            url: `/v1/api/playlist/l/${lesson_id}`
        }).then(res => res.data),
        playlistResourceGet: (id) => axios.request({
            method: "get",
            url: `/v1/api/playlist/${id}`
        }).then(res => res.data),
        playlistResourceUpdate: (payload, id) => axios.request({
            method: "put",
            url: `/v1/api/playlist/${id}`,
            data: payload
        }).then(res => res.data),
        statsResourceGetStats: () => axios.request({
            method: "get",
            url: `/v1/api/stats`
        }).then(res => res.data),
        completePaymentPost: (payload) => axios.request({
            method: "post",
            url: `/v1/api/stitch`,
            data: payload
        }).then(res => res.data),
        subjectsResourceDelete: (payload) => axios.request({
            method: "delete",
            url: `/v1/api/subjects`,
            data: payload
        }).then(res => res.data),
        subjectsResourceCreateClassroomSubject: (payload) => axios.request({
            method: "post",
            url: `/v1/api/subjects/c`,
            data: payload
        }).then(res => res.data),
        subjectsResourceListByClassroom: (classroom_id) => axios.request({
            method: "get",
            url: `/v1/api/subjects/c/${classroom_id}`
        }).then(res => res.data),
        subjectsResourceGetByStudentLevel: () => axios.request({
            method: "get",
            url: `/v1/api/subjects/s`
        }).then(res => res.data),
        subjectsResourceCreateSubject: (payload) => axios.request({
            method: "post",
            url: `/v1/api/subjects/s`,
            data: payload
        }).then(res => res.data),
        subjectsResourceGet: (id) => axios.request({
            method: "get",
            url: `/v1/api/subjects/s/${id}`
        }).then(res => res.data),
        subjectsResourceGetByTeacher: () => axios.request({
            method: "get",
            url: `/v1/api/subjects/t`
        }).then(res => res.data),
        subjectsResourceUpdate: (payload, id) => axios.request({
            method: "put",
            url: `/v1/api/subjects/${id}`,
            data: payload
        }).then(res => res.data),
        subscriptionResourceCreate: (payload) => axios.request({
            method: "post",
            url: `/v1/api/subscription`,
            data: payload
        }).then(res => res.data),
        subscriptionResourceCheckClassroomSub: (id) => axios.request({
            method: "post",
            url: `/v1/api/subscription/check_classroom_sub/${id}`
        }).then(res => res.data),
        subscriptionResourceClassroomSub: (payload) => axios.request({
            method: "post",
            url: `/v1/api/subscription/classroom_sub`,
            data: payload
        }).then(res => res.data),
        subscriptionResourceGetSubByClassroom: (id) => axios.request({
            method: "get",
            url: `/v1/api/subscription/classroom_sub/${id}`
        }).then(res => res.data),
        subscriptionResourceGetByPlanGroup: (id) => axios.request({
            method: "get",
            url: `/v1/api/subscription/group_id/${id}`
        }).then(res => res.data),
        subscriptionResourceUserSub: (payload) => axios.request({
            method: "post",
            url: `/v1/api/subscription/user_sub`,
            data: payload
        }).then(res => res.data),
        subscriptionResourceGet: (id) => axios.request({
            method: "get",
            url: `/v1/api/subscription/${id}`
        }).then(res => res.data),
        subscriptionResourceUpdate: (payload, id) => axios.request({
            method: "put",
            url: `/v1/api/subscription/${id}`,
            data: payload
        }).then(res => res.data),
        subscriptionTransactionResourceAll: () => axios.request({
            method: "get",
            url: `/v1/api/subscription_transaction`
        }).then(res => res.data),
        subscriptionTransactionResourceCreate: (payload) => axios.request({
            method: "post",
            url: `/v1/api/subscription_transaction`,
            data: payload
        }).then(res => res.data),
        subscriptionTransactionResourceDelete: (id) => axios.request({
            method: "delete",
            url: `/v1/api/subscription_transaction/${id}`
        }).then(res => res.data),
        taskResourceListAll: () => axios.request({
            method: "get",
            url: `/v1/api/tasks`
        }).then(res => res.data),
        topicsResourceDelete: (payload) => axios.request({
            method: "delete",
            url: `/v1/api/topics`,
            data: payload
        }).then(res => res.data),
        topicsResourceCreate: (payload) => axios.request({
            method: "post",
            url: `/v1/api/topics`,
            data: payload
        }).then(res => res.data),
        topicsResourceGetTopicsBySubject: (subject_id) => axios.request({
            method: "get",
            url: `/v1/api/topics/s/${subject_id}`
        }).then(res => res.data),
        topicsResourceGet: (id) => axios.request({
            method: "get",
            url: `/v1/api/topics/${id}`
        }).then(res => res.data),
        topicsResourceUpdate: (payload, id) => axios.request({
            method: "put",
            url: `/v1/api/topics/${id}`,
            data: payload
        }).then(res => res.data),
        userResourceGetUsers: () => axios.request({
            method: "get",
            url: `/v1/api/user`
        }).then(res => res.data),
        userResourceGetAdmin: () => axios.request({
            method: "get",
            url: `/v1/api/user/admin`
        }).then(res => res.data),
        userResourceF: () => axios.request({
            method: "post",
            url: `/v1/api/user/f`
        }).then(res => res.data),
        userResourceCheckUserRole: () => axios.request({
            method: "get",
            url: `/v1/api/user/role`
        }).then(res => res.data),
        userResourceGetStudent: () => axios.request({
            method: "get",
            url: `/v1/api/user/student`
        }).then(res => res.data),
        userResourceCreateStudent: (payload) => axios.request({
            method: "post",
            url: `/v1/api/user/student`,
            data: payload
        }).then(res => res.data),
        userResourceGetAllStudents: () => axios.request({
            method: "get",
            url: `/v1/api/user/students`
        }).then(res => res.data),
        userResourceGetTeacher: () => axios.request({
            method: "get",
            url: `/v1/api/user/teacher`
        }).then(res => res.data),
        userResourceCreateTeacher: () => axios.request({
            method: "post",
            url: `/v1/api/user/teacher`
        }).then(res => res.data),
        userResourceGetAllTeachers: () => axios.request({
            method: "get",
            url: `/v1/api/user/teachers`
        }).then(res => res.data),
        utilsGetCategory: () => axios.request({
            method: "get",
            url: `/v1/api/utils/category`
        }).then(res => res.data),
        utilsGetGrades: () => axios.request({
            method: "get",
            url: `/v1/api/utils/grade`
        }).then(res => res.data),
        utilsGetPlan: () => axios.request({
            method: "get",
            url: `/v1/api/utils/plan`
        }).then(res => res.data),
        utilsGetPlaylist: () => axios.request({
            method: "get",
            url: `/v1/api/utils/playlist`
        }).then(res => res.data),
        utilsGetRecurrenceUnit: () => axios.request({
            method: "get",
            url: `/v1/api/utils/recurrence`
        }).then(res => res.data),
        utilsGetSubjects: () => axios.request({
            method: "get",
            url: `/v1/api/utils/subject`
        }).then(res => res.data)
    };
}
function makeQueries(requests, queryIds) {
    return {
        useStatsResourceGet: (options) => useQuery(queryIds.statsResourceGet(), () => requests.statsResourceGet(), options),
        useAssessmentAnswerResourceList: (q, options) => useQuery(queryIds.assessmentAnswerResourceList(q), () => requests.assessmentAnswerResourceList(q), options),
        useAssessmentResourceIsComplete: (assessment_id, options) => useQuery(queryIds.assessmentResourceIsComplete(assessment_id), () => requests.assessmentResourceIsComplete(assessment_id), options),
        useAssessmentQuestionResourceList: (assessment_id, options) => useQuery(queryIds.assessmentQuestionResourceList(assessment_id), () => requests.assessmentQuestionResourceList(assessment_id), options),
        useAssessmentResourceList: (subject_id, options) => useQuery(queryIds.assessmentResourceList(subject_id), () => requests.assessmentResourceList(subject_id), options),
        useAssessmentResourceGet: (id, options) => useQuery(queryIds.assessmentResourceGet(id), () => requests.assessmentResourceGet(id), options),
        useClassroomResourceGetByStudentLevel: (options) => useQuery(queryIds.classroomResourceGetByStudentLevel(), () => requests.classroomResourceGetByStudentLevel(), options),
        useClassroomResourceGetByStudentSubs: (options) => useQuery(queryIds.classroomResourceGetByStudentSubs(), () => requests.classroomResourceGetByStudentSubs(), options),
        useClassroomResourceGetTeacherId: (options) => useQuery(queryIds.classroomResourceGetTeacherId(), () => requests.classroomResourceGetTeacherId(), options),
        useClassroomResourceGet: (id, options) => useQuery(queryIds.classroomResourceGet(id), () => requests.classroomResourceGet(id), options),
        useDocumentResourceGetByLesson: (id, options) => useQuery(queryIds.documentResourceGetByLesson(id), () => requests.documentResourceGetByLesson(id), options),
        useDocumentResourceGet: (id, options) => useQuery(queryIds.documentResourceGet(id), () => requests.documentResourceGet(id), options),
        useExerciseAnswerResourceList: (q, options) => useQuery(queryIds.exerciseAnswerResourceList(q), () => requests.exerciseAnswerResourceList(q), options),
        useExerciseResourceIsComplete: (exercise_id, options) => useQuery(queryIds.exerciseResourceIsComplete(exercise_id), () => requests.exerciseResourceIsComplete(exercise_id), options),
        useExerciseResourceList: (lesson_id, options) => useQuery(queryIds.exerciseResourceList(lesson_id), () => requests.exerciseResourceList(lesson_id), options),
        useExerciseQuestionResourceList: (exercise_id, options) => useQuery(queryIds.exerciseQuestionResourceList(exercise_id), () => requests.exerciseQuestionResourceList(exercise_id), options),
        useExerciseResourceGet: (id, options) => useQuery(queryIds.exerciseResourceGet(id), () => requests.exerciseResourceGet(id), options),
        useFilesResourceList: (options) => useQuery(queryIds.filesResourceList(), () => requests.filesResourceList(), options),
        useFilesResourceGet: (id, options) => useQuery(queryIds.filesResourceGet(id), () => requests.filesResourceGet(id), options),
        useAssessmentAnswerResponseGetResponseByAnswer: (assessment_answer, options) => useQuery(queryIds.assessmentAnswerResponseGetResponseByAnswer(assessment_answer), () => requests.assessmentAnswerResponseGetResponseByAnswer(assessment_answer), options),
        useAssessmentGradingResourceGetByAssessment: (assessment_id, options) => useQuery(queryIds.assessmentGradingResourceGetByAssessment(assessment_id), () => requests.assessmentGradingResourceGetByAssessment(assessment_id), options),
        useAssessmentGradingResourceGet: (id, options) => useQuery(queryIds.assessmentGradingResourceGet(id), () => requests.assessmentGradingResourceGet(id), options),
        useExerciseGradingResourceGetByExercise: (exercise_id, options) => useQuery(queryIds.exerciseGradingResourceGetByExercise(exercise_id), () => requests.exerciseGradingResourceGetByExercise(exercise_id), options),
        useExerciseGradingResourceGet: (id, options) => useQuery(queryIds.exerciseGradingResourceGet(id), () => requests.exerciseGradingResourceGet(id), options),
        useLessonsResourceGetLessonsByTopic: (topic_id, options) => useQuery(queryIds.lessonsResourceGetLessonsByTopic(topic_id), () => requests.lessonsResourceGetLessonsByTopic(topic_id), options),
        useLessonsResourceGet: (id, options) => useQuery(queryIds.lessonsResourceGet(id), () => requests.lessonsResourceGet(id), options),
        useMediaResourceGetByPlaylist: (playlist_id, options) => useQuery(queryIds.mediaResourceGetByPlaylist(playlist_id), () => requests.mediaResourceGetByPlaylist(playlist_id), options),
        useMediaResourceGet: (id, options) => useQuery(queryIds.mediaResourceGet(id), () => requests.mediaResourceGet(id), options),
        useNotesResourceGetNotesByLesson: (lesson_id, options) => useQuery(queryIds.notesResourceGetNotesByLesson(lesson_id), () => requests.notesResourceGetNotesByLesson(lesson_id), options),
        useNotesResourceGet: (id, options) => useQuery(queryIds.notesResourceGet(id), () => requests.notesResourceGet(id), options),
        usePlanGroupResourceAll: (options) => useQuery(queryIds.planGroupResourceAll(), () => requests.planGroupResourceAll(), options),
        usePlanGroupResourceGetActive: (classroom, options) => useQuery(queryIds.planGroupResourceGetActive(classroom), () => requests.planGroupResourceGetActive(classroom), options),
        usePlanGroupResourceGet: (id, options) => useQuery(queryIds.planGroupResourceGet(id), () => requests.planGroupResourceGet(id), options),
        usePlaylistResourceGetPlaylistsAudioByLesson: (lesson_id, options) => useQuery(queryIds.playlistResourceGetPlaylistsAudioByLesson(lesson_id), () => requests.playlistResourceGetPlaylistsAudioByLesson(lesson_id), options),
        usePlaylistResourceGetPlaylistsVideoByLesson: (lesson_id, options) => useQuery(queryIds.playlistResourceGetPlaylistsVideoByLesson(lesson_id), () => requests.playlistResourceGetPlaylistsVideoByLesson(lesson_id), options),
        usePlaylistResourceGetPlaylistsByLesson: (lesson_id, options) => useQuery(queryIds.playlistResourceGetPlaylistsByLesson(lesson_id), () => requests.playlistResourceGetPlaylistsByLesson(lesson_id), options),
        usePlaylistResourceGet: (id, options) => useQuery(queryIds.playlistResourceGet(id), () => requests.playlistResourceGet(id), options),
        useStatsResourceGetStats: (options) => useQuery(queryIds.statsResourceGetStats(), () => requests.statsResourceGetStats(), options),
        useSubjectsResourceListByClassroom: (classroom_id, options) => useQuery(queryIds.subjectsResourceListByClassroom(classroom_id), () => requests.subjectsResourceListByClassroom(classroom_id), options),
        useSubjectsResourceGetByStudentLevel: (options) => useQuery(queryIds.subjectsResourceGetByStudentLevel(), () => requests.subjectsResourceGetByStudentLevel(), options),
        useSubjectsResourceGet: (id, options) => useQuery(queryIds.subjectsResourceGet(id), () => requests.subjectsResourceGet(id), options),
        useSubjectsResourceGetByTeacher: (options) => useQuery(queryIds.subjectsResourceGetByTeacher(), () => requests.subjectsResourceGetByTeacher(), options),
        useSubscriptionResourceGetSubByClassroom: (id, options) => useQuery(queryIds.subscriptionResourceGetSubByClassroom(id), () => requests.subscriptionResourceGetSubByClassroom(id), options),
        useSubscriptionResourceGetByPlanGroup: (id, options) => useQuery(queryIds.subscriptionResourceGetByPlanGroup(id), () => requests.subscriptionResourceGetByPlanGroup(id), options),
        useSubscriptionResourceGet: (id, options) => useQuery(queryIds.subscriptionResourceGet(id), () => requests.subscriptionResourceGet(id), options),
        useSubscriptionTransactionResourceAll: (options) => useQuery(queryIds.subscriptionTransactionResourceAll(), () => requests.subscriptionTransactionResourceAll(), options),
        useTaskResourceListAll: (options) => useQuery(queryIds.taskResourceListAll(), () => requests.taskResourceListAll(), options),
        useTopicsResourceGetTopicsBySubject: (subject_id, options) => useQuery(queryIds.topicsResourceGetTopicsBySubject(subject_id), () => requests.topicsResourceGetTopicsBySubject(subject_id), options),
        useTopicsResourceGet: (id, options) => useQuery(queryIds.topicsResourceGet(id), () => requests.topicsResourceGet(id), options),
        useUserResourceGetUsers: (options) => useQuery(queryIds.userResourceGetUsers(), () => requests.userResourceGetUsers(), options),
        useUserResourceGetAdmin: (options) => useQuery(queryIds.userResourceGetAdmin(), () => requests.userResourceGetAdmin(), options),
        useUserResourceCheckUserRole: (options) => useQuery(queryIds.userResourceCheckUserRole(), () => requests.userResourceCheckUserRole(), options),
        useUserResourceGetStudent: (options) => useQuery(queryIds.userResourceGetStudent(), () => requests.userResourceGetStudent(), options),
        useUserResourceGetAllStudents: (options) => useQuery(queryIds.userResourceGetAllStudents(), () => requests.userResourceGetAllStudents(), options),
        useUserResourceGetTeacher: (options) => useQuery(queryIds.userResourceGetTeacher(), () => requests.userResourceGetTeacher(), options),
        useUserResourceGetAllTeachers: (options) => useQuery(queryIds.userResourceGetAllTeachers(), () => requests.userResourceGetAllTeachers(), options),
        useUtilsGetCategory: (options) => useQuery(queryIds.utilsGetCategory(), () => requests.utilsGetCategory(), options),
        useUtilsGetGrades: (options) => useQuery(queryIds.utilsGetGrades(), () => requests.utilsGetGrades(), options),
        useUtilsGetPlan: (options) => useQuery(queryIds.utilsGetPlan(), () => requests.utilsGetPlan(), options),
        useUtilsGetPlaylist: (options) => useQuery(queryIds.utilsGetPlaylist(), () => requests.utilsGetPlaylist(), options),
        useUtilsGetRecurrenceUnit: (options) => useQuery(queryIds.utilsGetRecurrenceUnit(), () => requests.utilsGetRecurrenceUnit(), options),
        useUtilsGetSubjects: (options) => useQuery(queryIds.utilsGetSubjects(), () => requests.utilsGetSubjects(), options)
    };
}
function makeMutations(requests, config) {
    return {
        useAssessmentResourceCreate: (options) => useRapiniMutation(payload => requests.assessmentResourceCreate(payload), config === null || config === void 0 ? void 0 : config.useAssessmentResourceCreate, options),
        useAssessmentResourceDelete: (options) => useRapiniMutation(payload => requests.assessmentResourceDelete(payload), config === null || config === void 0 ? void 0 : config.useAssessmentResourceDelete, options),
        useAssessmentAnswerResourceCreate: (options) => useRapiniMutation(payload => requests.assessmentAnswerResourceCreate(payload), config === null || config === void 0 ? void 0 : config.useAssessmentAnswerResourceCreate, options),
        useAssessmentAnswerResourceUpdate: (id, options) => useRapiniMutation(payload => requests.assessmentAnswerResourceUpdate(payload, id), config === null || config === void 0 ? void 0 : config.useAssessmentAnswerResourceUpdate, options),
        useAssessmentAnswerResourceDelete: (id, options) => useRapiniMutation(() => requests.assessmentAnswerResourceDelete(id), config === null || config === void 0 ? void 0 : config.useAssessmentAnswerResourceDelete, options),
        useAssessmentResourceComplete: (options) => useRapiniMutation(payload => requests.assessmentResourceComplete(payload), config === null || config === void 0 ? void 0 : config.useAssessmentResourceComplete, options),
        useAssessmentQuestionResourceCreate: (options) => useRapiniMutation(payload => requests.assessmentQuestionResourceCreate(payload), config === null || config === void 0 ? void 0 : config.useAssessmentQuestionResourceCreate, options),
        useAssessmentQuestionResourceUpdate: (id, options) => useRapiniMutation(payload => requests.assessmentQuestionResourceUpdate(payload, id), config === null || config === void 0 ? void 0 : config.useAssessmentQuestionResourceUpdate, options),
        useAssessmentQuestionResourceDelete: (id, options) => useRapiniMutation(() => requests.assessmentQuestionResourceDelete(id), config === null || config === void 0 ? void 0 : config.useAssessmentQuestionResourceDelete, options),
        useAssessmentResourceStart: (options) => useRapiniMutation(payload => requests.assessmentResourceStart(payload), config === null || config === void 0 ? void 0 : config.useAssessmentResourceStart, options),
        useAssessmentResourceUpdate: (id, options) => useRapiniMutation(payload => requests.assessmentResourceUpdate(payload, id), config === null || config === void 0 ? void 0 : config.useAssessmentResourceUpdate, options),
        useAuthenticationResourceLogin: (options) => useRapiniMutation(payload => requests.authenticationResourceLogin(payload), config === null || config === void 0 ? void 0 : config.useAuthenticationResourceLogin, options),
        useAuthenticationResourceRegister: (options) => useRapiniMutation(payload => requests.authenticationResourceRegister(payload), config === null || config === void 0 ? void 0 : config.useAuthenticationResourceRegister, options),
        useClassroomResourceCreate: (options) => useRapiniMutation(payload => requests.classroomResourceCreate(payload), config === null || config === void 0 ? void 0 : config.useClassroomResourceCreate, options),
        useClassroomResourceDelete: (options) => useRapiniMutation(payload => requests.classroomResourceDelete(payload), config === null || config === void 0 ? void 0 : config.useClassroomResourceDelete, options),
        useClassroomResourceUpdate: (id, options) => useRapiniMutation(payload => requests.classroomResourceUpdate(payload, id), config === null || config === void 0 ? void 0 : config.useClassroomResourceUpdate, options),
        useDocumentResourceCreate: (options) => useRapiniMutation(payload => requests.documentResourceCreate(payload), config === null || config === void 0 ? void 0 : config.useDocumentResourceCreate, options),
        useExerciseResourceCreate: (options) => useRapiniMutation(payload => requests.exerciseResourceCreate(payload), config === null || config === void 0 ? void 0 : config.useExerciseResourceCreate, options),
        useExerciseResourceDelete: (options) => useRapiniMutation(payload => requests.exerciseResourceDelete(payload), config === null || config === void 0 ? void 0 : config.useExerciseResourceDelete, options),
        useExerciseAnswerResourceCreate: (options) => useRapiniMutation(payload => requests.exerciseAnswerResourceCreate(payload), config === null || config === void 0 ? void 0 : config.useExerciseAnswerResourceCreate, options),
        useExerciseAnswerResourceUpdate: (id, options) => useRapiniMutation(payload => requests.exerciseAnswerResourceUpdate(payload, id), config === null || config === void 0 ? void 0 : config.useExerciseAnswerResourceUpdate, options),
        useExerciseAnswerResourceDelete: (id, options) => useRapiniMutation(() => requests.exerciseAnswerResourceDelete(id), config === null || config === void 0 ? void 0 : config.useExerciseAnswerResourceDelete, options),
        useExerciseResourceComplete: (options) => useRapiniMutation(payload => requests.exerciseResourceComplete(payload), config === null || config === void 0 ? void 0 : config.useExerciseResourceComplete, options),
        useExerciseQuestionResourceCreate: (options) => useRapiniMutation(payload => requests.exerciseQuestionResourceCreate(payload), config === null || config === void 0 ? void 0 : config.useExerciseQuestionResourceCreate, options),
        useExerciseQuestionResourceUpdate: (id, options) => useRapiniMutation(payload => requests.exerciseQuestionResourceUpdate(payload, id), config === null || config === void 0 ? void 0 : config.useExerciseQuestionResourceUpdate, options),
        useExerciseQuestionResourceDelete: (id, options) => useRapiniMutation(() => requests.exerciseQuestionResourceDelete(id), config === null || config === void 0 ? void 0 : config.useExerciseQuestionResourceDelete, options),
        useExerciseResourceStart: (options) => useRapiniMutation(payload => requests.exerciseResourceStart(payload), config === null || config === void 0 ? void 0 : config.useExerciseResourceStart, options),
        useExerciseResourceUpdate: (id, options) => useRapiniMutation(payload => requests.exerciseResourceUpdate(payload, id), config === null || config === void 0 ? void 0 : config.useExerciseResourceUpdate, options),
        useFilesResourceCreate: (options) => useRapiniMutation(payload => requests.filesResourceCreate(payload), config === null || config === void 0 ? void 0 : config.useFilesResourceCreate, options),
        useFilesResourceComplete: (id, options) => useRapiniMutation(() => requests.filesResourceComplete(id), config === null || config === void 0 ? void 0 : config.useFilesResourceComplete, options),
        useAssessmentAnswerResponseCreate: (options) => useRapiniMutation(payload => requests.assessmentAnswerResponseCreate(payload), config === null || config === void 0 ? void 0 : config.useAssessmentAnswerResponseCreate, options),
        useAssessmentAnswerResponseCreateLong: (options) => useRapiniMutation(payload => requests.assessmentAnswerResponseCreateLong(payload), config === null || config === void 0 ? void 0 : config.useAssessmentAnswerResponseCreateLong, options),
        useExerciseAnswerResponseCreate: (options) => useRapiniMutation(payload => requests.exerciseAnswerResponseCreate(payload), config === null || config === void 0 ? void 0 : config.useExerciseAnswerResponseCreate, options),
        useAssessmentGradingResourceCreate: (options) => useRapiniMutation(payload => requests.assessmentGradingResourceCreate(payload), config === null || config === void 0 ? void 0 : config.useAssessmentGradingResourceCreate, options),
        useAssessmentGradingResourceCompleteMarking: (report_id, options) => useRapiniMutation(() => requests.assessmentGradingResourceCompleteMarking(report_id), config === null || config === void 0 ? void 0 : config.useAssessmentGradingResourceCompleteMarking, options),
        useAssessmentGradingResourceMark: (options) => useRapiniMutation(payload => requests.assessmentGradingResourceMark(payload), config === null || config === void 0 ? void 0 : config.useAssessmentGradingResourceMark, options),
        useAssessmentGradingResourceMarkLong: (options) => useRapiniMutation(payload => requests.assessmentGradingResourceMarkLong(payload), config === null || config === void 0 ? void 0 : config.useAssessmentGradingResourceMarkLong, options),
        useExerciseGradingResourceCreate: (options) => useRapiniMutation(payload => requests.exerciseGradingResourceCreate(payload), config === null || config === void 0 ? void 0 : config.useExerciseGradingResourceCreate, options),
        useExerciseGradingResourceMark: (options) => useRapiniMutation(payload => requests.exerciseGradingResourceMark(payload), config === null || config === void 0 ? void 0 : config.useExerciseGradingResourceMark, options),
        useLessonsResourceCreate: (options) => useRapiniMutation(payload => requests.lessonsResourceCreate(payload), config === null || config === void 0 ? void 0 : config.useLessonsResourceCreate, options),
        useLessonsResourceDelete: (options) => useRapiniMutation(payload => requests.lessonsResourceDelete(payload), config === null || config === void 0 ? void 0 : config.useLessonsResourceDelete, options),
        useLessonsResourceUpdate: (id, options) => useRapiniMutation(payload => requests.lessonsResourceUpdate(payload, id), config === null || config === void 0 ? void 0 : config.useLessonsResourceUpdate, options),
        useMediaResourceCreate: (options) => useRapiniMutation(payload => requests.mediaResourceCreate(payload), config === null || config === void 0 ? void 0 : config.useMediaResourceCreate, options),
        useMediaResourceDelete: (options) => useRapiniMutation(payload => requests.mediaResourceDelete(payload), config === null || config === void 0 ? void 0 : config.useMediaResourceDelete, options),
        useMediaResourceUpdate: (id, options) => useRapiniMutation(payload => requests.mediaResourceUpdate(payload, id), config === null || config === void 0 ? void 0 : config.useMediaResourceUpdate, options),
        useNotesResourceCreate: (options) => useRapiniMutation(payload => requests.notesResourceCreate(payload), config === null || config === void 0 ? void 0 : config.useNotesResourceCreate, options),
        useNotesResourceDelete: (options) => useRapiniMutation(payload => requests.notesResourceDelete(payload), config === null || config === void 0 ? void 0 : config.useNotesResourceDelete, options),
        useNotesResourceUpdate: (id, options) => useRapiniMutation(payload => requests.notesResourceUpdate(payload, id), config === null || config === void 0 ? void 0 : config.useNotesResourceUpdate, options),
        useWebhookResourcePost: (options) => useRapiniMutation(payload => requests.webhookResourcePost(payload), config === null || config === void 0 ? void 0 : config.useWebhookResourcePost, options),
        usePlanGroupResourceCreate: (options) => useRapiniMutation(payload => requests.planGroupResourceCreate(payload), config === null || config === void 0 ? void 0 : config.usePlanGroupResourceCreate, options),
        usePlaylistResourceCreate: (options) => useRapiniMutation(payload => requests.playlistResourceCreate(payload), config === null || config === void 0 ? void 0 : config.usePlaylistResourceCreate, options),
        usePlaylistResourceDelete: (options) => useRapiniMutation(payload => requests.playlistResourceDelete(payload), config === null || config === void 0 ? void 0 : config.usePlaylistResourceDelete, options),
        usePlaylistResourceUpdate: (id, options) => useRapiniMutation(payload => requests.playlistResourceUpdate(payload, id), config === null || config === void 0 ? void 0 : config.usePlaylistResourceUpdate, options),
        useCompletePaymentPost: (options) => useRapiniMutation(payload => requests.completePaymentPost(payload), config === null || config === void 0 ? void 0 : config.useCompletePaymentPost, options),
        useSubjectsResourceDelete: (options) => useRapiniMutation(payload => requests.subjectsResourceDelete(payload), config === null || config === void 0 ? void 0 : config.useSubjectsResourceDelete, options),
        useSubjectsResourceCreateClassroomSubject: (options) => useRapiniMutation(payload => requests.subjectsResourceCreateClassroomSubject(payload), config === null || config === void 0 ? void 0 : config.useSubjectsResourceCreateClassroomSubject, options),
        useSubjectsResourceCreateSubject: (options) => useRapiniMutation(payload => requests.subjectsResourceCreateSubject(payload), config === null || config === void 0 ? void 0 : config.useSubjectsResourceCreateSubject, options),
        useSubjectsResourceUpdate: (id, options) => useRapiniMutation(payload => requests.subjectsResourceUpdate(payload, id), config === null || config === void 0 ? void 0 : config.useSubjectsResourceUpdate, options),
        useSubscriptionResourceCreate: (options) => useRapiniMutation(payload => requests.subscriptionResourceCreate(payload), config === null || config === void 0 ? void 0 : config.useSubscriptionResourceCreate, options),
        useSubscriptionResourceCheckClassroomSub: (id, options) => useRapiniMutation(() => requests.subscriptionResourceCheckClassroomSub(id), config === null || config === void 0 ? void 0 : config.useSubscriptionResourceCheckClassroomSub, options),
        useSubscriptionResourceClassroomSub: (options) => useRapiniMutation(payload => requests.subscriptionResourceClassroomSub(payload), config === null || config === void 0 ? void 0 : config.useSubscriptionResourceClassroomSub, options),
        useSubscriptionResourceUserSub: (options) => useRapiniMutation(payload => requests.subscriptionResourceUserSub(payload), config === null || config === void 0 ? void 0 : config.useSubscriptionResourceUserSub, options),
        useSubscriptionResourceUpdate: (id, options) => useRapiniMutation(payload => requests.subscriptionResourceUpdate(payload, id), config === null || config === void 0 ? void 0 : config.useSubscriptionResourceUpdate, options),
        useSubscriptionTransactionResourceCreate: (options) => useRapiniMutation(payload => requests.subscriptionTransactionResourceCreate(payload), config === null || config === void 0 ? void 0 : config.useSubscriptionTransactionResourceCreate, options),
        useSubscriptionTransactionResourceDelete: (id, options) => useRapiniMutation(() => requests.subscriptionTransactionResourceDelete(id), config === null || config === void 0 ? void 0 : config.useSubscriptionTransactionResourceDelete, options),
        useTopicsResourceCreate: (options) => useRapiniMutation(payload => requests.topicsResourceCreate(payload), config === null || config === void 0 ? void 0 : config.useTopicsResourceCreate, options),
        useTopicsResourceDelete: (options) => useRapiniMutation(payload => requests.topicsResourceDelete(payload), config === null || config === void 0 ? void 0 : config.useTopicsResourceDelete, options),
        useTopicsResourceUpdate: (id, options) => useRapiniMutation(payload => requests.topicsResourceUpdate(payload, id), config === null || config === void 0 ? void 0 : config.useTopicsResourceUpdate, options),
        useUserResourceF: (options) => useRapiniMutation(() => requests.userResourceF(), config === null || config === void 0 ? void 0 : config.useUserResourceF, options),
        useUserResourceCreateStudent: (options) => useRapiniMutation(payload => requests.userResourceCreateStudent(payload), config === null || config === void 0 ? void 0 : config.useUserResourceCreateStudent, options),
        useUserResourceCreateTeacher: (options) => useRapiniMutation(() => requests.userResourceCreateTeacher(), config === null || config === void 0 ? void 0 : config.useUserResourceCreateTeacher, options)
    };
}
